> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Record reward redemption



## OpenAPI

````yaml post /v1/rewards/redeem
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/rewards/redeem:
    post:
      summary: Record reward redemption
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordRewardRedemptionBody'
      responses:
        '201':
          description: Redemption recorded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordRewardRedemptionResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RecordRewardRedemptionBody:
      type: object
      properties:
        rewardId:
          type: string
          format: uuid
        codeId:
          type:
            - string
            - 'null'
          format: uuid
        grantId:
          type:
            - string
            - 'null'
          format: uuid
        teamAppUserId:
          type:
            - string
            - 'null'
          format: uuid
        source:
          type: string
          enum:
            - shopify
            - stripe
            - vault
            - manual
        orderId:
          type:
            - string
            - 'null'
          minLength: 1
          maxLength: 500
        externalOrderId:
          type:
            - string
            - 'null'
          minLength: 1
          maxLength: 500
        customerEmail:
          type:
            - string
            - 'null'
          format: email
        discountAmount:
          type: integer
          minimum: 0
        orderTotal:
          type: integer
          minimum: 0
        sessionId:
          type:
            - string
            - 'null'
          minLength: 1
          maxLength: 200
        metadata:
          type: object
          additionalProperties: {}
      required:
        - rewardId
        - source
        - discountAmount
        - orderTotal
      additionalProperties: false
    RecordRewardRedemptionResponse:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - true
      required:
        - success
      additionalProperties: false
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````